summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-02-14 14:47:20 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-02-14 14:47:20 +0100
commiteac10368f13ea3bbfccbb8d2ba2876585a6cacd5 (patch)
tree7cf8453e3c1a3882c9383797bf090cefdf779c35
parentdev-python/flexmock: Bump to version 0.10.3 (diff)
downloadgentoo-eac10368f13ea3bbfccbb8d2ba2876585a6cacd5.tar.gz
gentoo-eac10368f13ea3bbfccbb8d2ba2876585a6cacd5.tar.bz2
gentoo-eac10368f13ea3bbfccbb8d2ba2876585a6cacd5.zip
net-misc/icaclient: Bump to version 19.1.0.9
Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--net-misc/icaclient/Manifest2
-rw-r--r--net-misc/icaclient/icaclient-19.1.0.9.ebuild220
2 files changed, 222 insertions, 0 deletions
diff --git a/net-misc/icaclient/Manifest b/net-misc/icaclient/Manifest
index c64242ef513..cbd79b0350a 100644
--- a/net-misc/icaclient/Manifest
+++ b/net-misc/icaclient/Manifest
@@ -1,4 +1,6 @@
DIST linuxx64-13.10.0.20.tar.gz 20208082 BLAKE2B f350b303df768f17c49033111f79b85217829ed19ca3884d63266ed1fd436ff8eea44a6514e708d97e72313a6905425a30c0107191e98c68bfc9c7b0fc454008 SHA512 ac12c09fc459726ddff8564a4900e0184d3f04138cf51361076fb476296f96f0f98d55b6d079f2c3829cfbaf07c373e8722fcde56266f2f3c8c5989ad33fa06b
DIST linuxx64-18.10.0.11.tar.gz 21976273 BLAKE2B 4d673f40a04e31bba94b2e0dda744f8e3bb1ac489bfbbf846da3ae700d8fbd2504d22aa8fe1b703ceee9536699ea7fee288ce21306771f5c8806930cf54e2ffd SHA512 c14cfb2d10738c888dd2f56f840b0446d8952fe2adb76e1fac0c75d135a4c785cbfd8ccefed6d66f917eb4ebe3d27d151da738706b137abe26dcc3963dd78a1d
+DIST linuxx64-19.1.0.9.tar.gz 22074792 BLAKE2B aeeb8df5a63d08c94718d069c2f3e259d22309cab8ba3f046e9b1d6ecadbb9ddc7a7049bd6837944e42cfc9f625146218208802a2bf0f3bdc32f1f7d162a8700 SHA512 21539546fd24f7781e6a114e345392ee85e0f27f0f4b8a641e8b94f9a96c4a0e14f3d81838a3735c6098c251b022b3e30ce0c530b686f7587029cd2983516cfc
DIST linuxx86-13.10.0.20.tar.gz 22123747 BLAKE2B 490024fa780fc8e09afb3dd56194525b6b5aefe89377c59f4bfa12eeb3f60711530dd2659dd8fe975df6121db5af35e3760315a5b656e4f517e2fad9fb411ada SHA512 e4c5220ea680601a95019d30c2fb2a26e7f3cd60da19c42b96168aab74456c1242b4400cc4d7b10910a7e0e1993377d6492fb9e2cebb98b1b662d3d1ebf4cffc
DIST linuxx86-18.10.0.11.tar.gz 24095176 BLAKE2B 5e7b9bba57661216b0194ccca292a9e663fdca65439c86ea68c1857352f1ed7c5247e41eeb976bc306148cd78c71b069da3e65042331a0e601637db1fee2d6c6 SHA512 8e073b436454472799df283266ccd68652b519336bf74b558b1d0345147331c5e8f4c8900b8d94a13bd6b08b94298c9dbcc5a3a06edbe53722304de5b117f239
+DIST linuxx86-19.1.0.9.tar.gz 24175639 BLAKE2B d73d3d438ef272f9571587cd66e357bca4698d797ea813dafb47b6c61a86606b2021b5659908d160e3baec7b668265d4dccbf8f009c4c77c99e1258fec28c22f SHA512 110d1f160f6f4538bb589682bcbb8414b816d0669dc1fb4559243ee335a6e6129af8e50d47feadd7688808affef7bcaa300fc6c01fb05b84938fe449f7e9d05d
diff --git a/net-misc/icaclient/icaclient-19.1.0.9.ebuild b/net-misc/icaclient/icaclient-19.1.0.9.ebuild
new file mode 100644
index 00000000000..a54c5cd45c3
--- /dev/null
+++ b/net-misc/icaclient/icaclient-19.1.0.9.ebuild
@@ -0,0 +1,220 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# eutils inherit required for make_wrapper call
+inherit desktop eutils multilib xdg-utils
+
+DESCRIPTION="ICA Client for Citrix Presentation servers"
+HOMEPAGE="https://www.citrix.com/"
+SRC_URI="amd64? ( linuxx64-${PV}.tar.gz )
+ x86? ( linuxx86-${PV}.tar.gz )"
+
+LICENSE="icaclient"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="nsplugin l10n_de l10n_es l10n_fr l10n_ja l10n_zh_CN"
+RESTRICT="mirror strip userpriv fetch"
+
+ICAROOT="/opt/Citrix/ICAClient"
+
+QA_PREBUILT="${ICAROOT#/}/*"
+
+RDEPEND="
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/libxml2
+ media-fonts/font-adobe-100dpi
+ media-fonts/font-misc-misc
+ media-fonts/font-cursor-misc
+ media-fonts/font-xfree86-type1
+ media-fonts/font-misc-ethiopic
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gst-plugins-base:1.0
+ media-libs/gstreamer:1.0
+ media-libs/libcanberra[gtk]
+ media-libs/libogg
+ media-libs/libvorbis
+ media-libs/speex
+ net-dns/libidn:1.33
+ net-libs/libsoup:2.4
+ net-misc/curl
+ sys-libs/e2fsprogs-libs
+ sys-libs/zlib
+ virtual/krb5
+ virtual/jpeg:0
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXinerama
+ x11-libs/libXmu
+ x11-libs/libXrender
+ x11-libs/libXt
+ x11-libs/pango
+"
+DEPEND=""
+
+pkg_nofetch() {
+ elog "Download the client file ${A} from
+ https://www.citrix.com/downloads/workspace-app/"
+ elog "and place it in ${DISTDIR:-/usr/portage/distfiles}."
+}
+
+pkg_setup() {
+ case ${ARCH} in
+ amd64)
+ ICAARCH=linuxx64
+ ;;
+ x86)
+ ICAARCH=linuxx86
+ ;;
+ *)
+ eerror "Given architecture is not supported by Citrix."
+ ;;
+ esac
+
+ S="${WORKDIR}/${ICAARCH}/${ICAARCH}.cor"
+}
+
+src_prepare() {
+ default
+ rm lib/UIDialogLibWebKit.so || die
+}
+
+src_install() {
+ local bin tmpl dest
+
+ dodir "${ICAROOT}"
+
+ exeinto "${ICAROOT}"
+ doexe *.DLL libproxy.so wfica AuthManagerDaemon PrimaryAuthManager selfservice ServiceRecord
+
+ exeinto "${ICAROOT}"/lib
+ doexe lib/*.so
+
+ if use nsplugin ; then
+ exeinto "${ICAROOT}"
+ doexe npica.so
+ dosym "${ICAROOT}"/npica.so /usr/$(get_libdir)/nsbrowser/plugins/npica.so
+ fi
+
+ for dest in "${ICAROOT}"{,/nls/en{,.UTF-8}} ; do
+ insinto "${dest}"
+ doins nls/en.UTF-8/eula.txt
+ done
+
+ insinto "${ICAROOT}"
+ doins -r usb
+
+ insinto "${ICAROOT}"/config
+ doins config/* config/.* nls/en/*.ini
+ for tmpl in {appsrv,wfclient}.template ; do
+ newins nls/en/${tmpl} ${tmpl/template/ini}
+ done
+ touch "${ED}/${ICAROOT}"/config/.server || die
+
+ insinto "${ICAROOT}"/gtk
+ doins gtk/*
+
+ insinto "${ICAROOT}"/gtk/glade
+ doins gtk/glade/*
+
+ insinto "${ICAROOT}"/site
+ doins -r site/*
+
+ dodir "${ICAROOT}"/help
+
+ insinto "${ICAROOT}"/config/usertemplate
+ doins config/usertemplate/*
+
+ local lang LANGCODES=( en )
+ use l10n_de && LANGCODES+=( de )
+ use l10n_es && LANGCODES+=( es )
+ use l10n_fr && LANGCODES+=( fr )
+ use l10n_ja && LANGCODES+=( ja )
+ use l10n_zh_CN && LANGCODES+=( zh_CN )
+
+ for lang in ${LANGCODES[@]} ; do
+ insinto "${ICAROOT}"/nls/${lang}
+ doins nls/${lang}/*
+
+ insinto "${ICAROOT}"/nls/$lang/UTF-8
+ doins nls/${lang}.UTF-8/*
+
+ insinto "${ICAROOT}"/nls/${lang}/LC_MESSAGES
+ doins nls/${lang}/LC_MESSAGES/*
+
+ insinto "${ICAROOT}"/nls/${lang}
+ dosym UTF-8 "${ICAROOT}"/nls/${lang}/utf8
+
+ for tmpl in {appsrv,wfclient}.template ; do
+ cp "${ED}/${ICAROOT}"/nls/${lang}/${tmpl} \
+ "${ED}/${ICAROOT}"/nls/${lang}/${tmpl/template/ini} \
+ || die
+ done
+ done
+
+ insinto "${ICAROOT}"/nls
+ dosym en /opt/Citrix/ICAClient/nls/C
+
+ insinto "${ICAROOT}"/icons
+ doins icons/*
+
+ insinto "${ICAROOT}"/keyboard
+ doins keyboard/*
+
+ rm -r "${S}"/keystore/cacerts || die
+ dosym /etc/ssl/certs "${ICAROOT}"/keystore/cacerts
+
+ exeinto "${ICAROOT}"/util
+ doexe util/{configmgr,conncenter,gst_play1.0,gst_read1.0,hdxcheck.sh,icalicense.sh,libgstflatstm1.0.so,webcontainer,ctxwebhelper,ctx_rehash,ctx_app_bind}
+ doexe util/{lurdump,new_store,nslaunch,pnabrowse,storebrowse,sunraymac.sh,what,xcapture}
+
+ # https://bugs.gentoo.org/655922
+ dosym gst_play1.0 "${ICAROOT}"/util/gst_play
+ dosym gst_read1.0 "${ICAROOT}"/util/gst_read
+ dosym libgstflatstm1.0.so "${ICAROOT}"/util/libgstflatstm.so
+
+ doenvd "${FILESDIR}"/10ICAClient
+
+ for bin in configmgr conncenter new_store ; do
+ make_wrapper ${bin} "${ICAROOT}"/util/${bin} . "${ICAROOT}"/util
+ done
+
+ for bin in selfservice wfica ; do
+ make_wrapper ${bin} "${ICAROOT}"/${bin} . "${ICAROOT}"
+ done
+
+ dodir /etc/revdep-rebuild/
+ echo "SEARCH_DIRS_MASK=\"${ICAROOT}\"" \
+ > "${ED}"/etc/revdep-rebuild/70icaclient
+
+ # 651926
+ domenu "${FILESDIR}"/*.desktop
+}
+
+pkg_preinst() {
+ local old_plugin="/usr/lib64/nsbrowser/plugins/npwrapper.npica.so"
+ if use amd64 && [[ -f ${old_plugin} ]] ; then
+ local wrapper="/usr/bin/nspluginwrapper"
+ if [[ -x ${wrapper} ]] ; then
+ einfo "Removing npica.so from wrapper."
+ ${wrapper} -r ${old_plugin}
+ fi
+ fi
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}